%global packname  lintr
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          1.0.3
Release:          1%{?dist}
Summary:          A 'Linter' for R Code

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-rex, R-crayon, R-codetools, R-stringdist, R-testthat, R-digest, R-igraph, R-rstudioapi >= 0.2, R-httr, R-jsonlite, R-knitr, R-stats, R-utils
# Suggests:  R-rmarkdown, R-mockery
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-rex
Requires:         R-crayon
Requires:         R-codetools
Requires:         R-stringdist
Requires:         R-testthat
Requires:         R-digest
Requires:         R-igraph
Requires:         R-rstudioapi >= 0.2
Requires:         R-httr
Requires:         R-jsonlite
Requires:         R-knitr
Requires:         R-stats
Requires:         R-utils
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-rex
BuildRequires:    R-crayon
BuildRequires:    R-codetools
BuildRequires:    R-stringdist
BuildRequires:    R-testthat
BuildRequires:    R-digest
BuildRequires:    R-igraph
BuildRequires:    R-rstudioapi >= 0.2
BuildRequires:    R-httr
BuildRequires:    R-jsonlite
BuildRequires:    R-knitr
BuildRequires:    R-stats
BuildRequires:    R-utils
BuildRequires:    R-rmarkdown
BuildRequires:    R-mockery

%description
Checks adherence to a given style, syntax errors and possible semantic
issues.  Supports on the fly checking of R code edited with 'RStudio IDE',
'Emacs', 'Vim', 'Sublime Text' and 'Atom'.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/example
%{rlibdir}/%{packname}/syntastic


%changelog
* Wed Feb 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0.3-1
- Update to latest version

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jul 25 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0.2-1
- initial package for Fedora
